function u0 = u_jump(x,ElemFlag,varargin)
% U0 Initial data.
%
%   U0 = U0(X,ELEMFLAG) computes the value of the initial data at the
%   points X.
%
%   Example:
%
%   u0 = u0(x,-1);

%   Copyright 2006-2006 Patrick Meury
%   SAM - Seminar for Applied Mathematics
%   ETH-Zentrum
%   CH-8092 Zurich, Switzerland

npoints =size(x,1);
u0 = zeros(npoints,1);
  
for i=1:npoints
    if x(i,1)<x(i,2);
        u0(i)=1;
    end
end
  
return